<template>
  <div class="project_page">
    <div class="project_nav">
      <div class="prev_project" @click="prevProject()">
        <icon name="angle-left" class="fa-icon" scale="1"></icon>
        <span>Previous</span>
      </div>
      <div class="next_project" @click="nextProject()">
        <span>Next</span><icon name="angle-right" class="fa-icon" scale="1"></icon>
      </div>
    </div>
    <div>
      <transition name="page" mode="out-in" v-on:after-leave="afterLeave">
        <div v-if="showProject" class="project_wrap">
          <div class="left_section">
            <div>
              <h2 class="project_title">{{project.title}}</h2>
              <h4 class="project_type">{{project.type_project}}</h4>
              <div class="info year"><span>Год:</span> {{project.year}}</div>
              <div class="info"><span>Местоположение:</span> {{project.location}}</div>
              <div class="info">{{project.description}}</div>
            </div>
          </div>
          <div class="project_slider">
            <slider animation="fade" :interval="100000" :height="prj_height" class="prj_slider">
              <slider-item v-for="(i, index) in project.project_images" :key="i.pk">
                <div :style="i">
                  <img style="line-height: 280px; font-size: 5rem; text-align: center;" :src="i.image" alt="" />
                </div>
              </slider-item>
            </slider>
          </div>
        </div>
      </transition>
    </div>
    <div class="custom_footer">
      <my-footer></my-footer>
    </div>
  </div>
</template>


<script>
import axios from 'axios'
import { Slider, SliderItem } from 'vue-easy-slider'

export default {
  name: 'project',
  props: ['id'],
  components: {
    Slider,
    SliderItem
  },
  data() {
      return {
          proj_index: 0,
          project: '',
          projects: [],
          prj_height: '',
          showProject: true
      }
  },
  created () {
    this.$store.commit('setLoadpage', false)
  },
  mounted: function () {
    let vm = this
    let url = this.$store.state.domain + 'projects'
    axios.get(url).then(res => {
      this.projects = res.data
      for(let i = 0; i < this.projects.length; i++){
        if( this.projects[i].pk === +this.id ) {
          this.proj_index = i
          this.project = this.projects[i]

        }
      }
    }).then(res => {
      this.prj_height = $(".prj_slider").width()/1.295 + 'px'
      this.$store.commit('setLoadpage', true)
    })


    $(window).resize(function(){
      vm.prj_height = $(".prj_slider").width()/1.295 + 'px'
    });

  },

  methods: {
    nextProject () {
      this.showProject = !this.showProject
      let next = this.proj_index + 1
      if (this.projects[next]) {
        this.project = this.projects[next]
        this.proj_index = next
      } else {
        this.project = this.projects[0]
        this.proj_index = 0
      }
    },

    prevProject () {
      this.showProject = !this.showProject
      let prev = this.proj_index - 1
      if (this.projects[prev]) {
        this.project = this.projects[prev]
        this.proj_index = prev
      } else {
        this.project = this.projects[this.projects.length - 1]
        this.proj_index = this.projects.length - 1
      }
    },
    afterLeave: function (el) {
      this.showProject = !this.showProject
    },
  }
}

</script>

<style scoped lang="scss">


.project_page {
    max-width: 1200px;
    margin: auto;
    text-align: center;
}

.project_nav {
    overflow: auto;
    padding: 15px 0px;
    text-transform: uppercase;
    color: white;

    .prev_project, .next_project {
      font-size: 14px;
      float: left;
      cursor: pointer;
      color: dimgray;
      span {
        position: relative;
        top: -2px;
        margin: 0px 8px;
        color: dimgray;
      }
    }

    .next_project {
      float: right;
    }
}

.project_wrap {
    background-color: white;
    display: flex;
    flex-wrap: wrap;
}

.left_section {
    width: 300px;
    text-align: left;
    padding: 20px 20px;
}

.project_slider {
    flex-grow: 1;
}

.slider:hover .btn {
  color: red;
}

.project_title {
  margin-top: 15px;
}

.project_title, .project_type {
  text-transform: uppercase;
  font-size: 16px;;
}

.project_type {
  font-size: 10px;
  letter-spacing: 3px;
  margin: 0.5em 0em 3.5em;
}

.info, .info span {
  font-size: 14px;
  color: dimgray;
  margin: 0.5em 0em;
}

.year {
  margin-top: 58px;
}


@media screen and (max-width: 1024px) {
  .project_wrap {
      flex-direction: row-reverse;
  }

  .project_slider, .left_section {
    max-width: 100%;
    width: 100%;
  }
}

</style>
